package com.huimv.produce.dhicc.newcontroller;

import com.alibaba.fastjson.JSON;
import com.dahuatech.hutool.http.Method;
import com.dahuatech.icc.exception.ClientException;
import com.dahuatech.icc.oauth.http.DefaultClient;
import com.dahuatech.icc.oauth.http.IClient;
import com.dahuatech.icc.oauth.model.v202010.GeneralRequest;
import com.dahuatech.icc.oauth.model.v202010.GeneralResponse;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Map;


@RestController
@RequestMapping("car")
@CrossOrigin
public class CarManageController {
        //过车的数据
        /**
         * 保存ntamade
         */
        @RequestMapping("/get_car_record")
        public GeneralResponse getCarRecord(HttpServletRequest request ) throws ClientException {
            System.out.println(request.getRequestURL()   );
            System.out.println(request.getQueryString());
            String queryString = request.getQueryString();
            String URL = "/evo-apigw/ipms/carcapture/find/conditions?";  //获取事件URL    post请求
            IClient iClient = new DefaultClient();
            System.out.println("开始执行");
            String newUrl = URL + queryString;
            System.out.println(newUrl);
            //这种已经在配置文件里面安排了账号ip以及密码    现在变了
            GeneralRequest generalRequest = new GeneralRequest(newUrl, Method.GET);
            GeneralResponse generalResponse = iClient.doAction(generalRequest, generalRequest.getResponseClass());
            System.out.println("执行结束");
            return generalResponse;
        }





        @RequestMapping("/get_person_detail")
        public GeneralResponse getPersonDetail( @RequestBody Map<String, Object> params ) throws ClientException {
            String URL = "/evo-apigw/evo-accesscontrol/${version}/card/accessControl/swingCardRecord/19241";  //获取事件URL    post请求
            IClient iClient = new DefaultClient();
            System.out.println("开始执行");
            String URL_id = URL + params.get("id");
            //这种已经在配置文件里面安排了账号ip以及密码
            GeneralRequest generalRequest = new GeneralRequest(URL_id, Method.POST);
            generalRequest.header("Content-Type", " application/json");
            //发起请求处理应答
            GeneralResponse generalResponse = iClient.doAction(generalRequest, generalRequest.getResponseClass());
            System.out.println("执行结束");
            return generalResponse;
        }





}
